import request from '@/utils/httpRequest'

export default class ReimbursementApprovalTypeService {
  list (param) {
    return request({
      url: '/reimbursementApproval/type/list',
      method: 'get',
      params: param
    })
  }
  bxList (param) {
    return request({
      url: '/reimbursementApproval/type/bxList',
      method: 'get',
      params: param
    })
  }
  cgList (param) {
    return request({
      url: '/reimbursementApproval/type/cgList',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: '/reimbursementApproval/type/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: '/reimbursementApproval/type/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: '/reimbursementApproval/type/deleteById',
      method: 'get',
      params: {id: id}
    })
  }
}
